## liquid 0.5-1

=== Makefile ===
#############################################################################
# Makefile for building: liquid
# Generated by qmake (2.01a) (Qt 4.6.2) on: ?? 25. ??? 19:35:47 2010
# Project:  liquid.pro
# Template: subdirs
# Command: c:\qt\2010.02.1\qt\bin\qmake.exe -spec ..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile liquid.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = c:\qt\2010.02.1\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		sub-src

src\$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src\ $(MKDIR) src\ 
	cd src\ && $(QMAKE) c:\Qt\liquid-0.5_rc2\liquid-0.5_rc3\src\src.pro -spec ..\..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src\ $(MKDIR) src\ 
	cd src\ && $(QMAKE) c:\Qt\liquid-0.5_rc2\liquid-0.5_rc3\src\src.pro -spec ..\..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 -o $(MAKEFILE)
sub-src: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src\$(MAKEFILE) FORCE
	cd src\ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: liquid.pro  ../../2010.02.1/qt/mkspecs/win32-g++/qmake.conf ../../2010.02.1/qt/mkspecs/qconfig.pri \
		../../2010.02.1/qt/mkspecs/features/qt_functions.prf \
		../../2010.02.1/qt/mkspecs/features/qt_config.prf \
		../../2010.02.1/qt/mkspecs/features/exclusive_builds.prf \
		../../2010.02.1/qt/mkspecs/features/default_pre.prf \
		../../2010.02.1/qt/mkspecs/features/win32/default_pre.prf \
		../../2010.02.1/qt/mkspecs/features/debug.prf \
		../../2010.02.1/qt/mkspecs/features/debug_and_release.prf \
		../../2010.02.1/qt/mkspecs/features/default_post.prf \
		../../2010.02.1/qt/mkspecs/features/win32/default_post.prf \
		../../2010.02.1/qt/mkspecs/features/win32/rtti.prf \
		../../2010.02.1/qt/mkspecs/features/win32/exceptions.prf \
		../../2010.02.1/qt/mkspecs/features/win32/stl.prf \
		../../2010.02.1/qt/mkspecs/features/shared.prf \
		../../2010.02.1/qt/mkspecs/features/warn_on.prf \
		../../2010.02.1/qt/mkspecs/features/qt.prf \
		../../2010.02.1/qt/mkspecs/features/win32/thread.prf \
		../../2010.02.1/qt/mkspecs/features/moc.prf \
		../../2010.02.1/qt/mkspecs/features/win32/windows.prf \
		../../2010.02.1/qt/mkspecs/features/resources.prf \
		../../2010.02.1/qt/mkspecs/features/uic.prf \
		../../2010.02.1/qt/mkspecs/features/yacc.prf \
		../../2010.02.1/qt/mkspecs/features/lex.prf \
		../../2010.02.1/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec ..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile liquid.pro
..\..\2010.02.1\qt\mkspecs\qconfig.pri:
..\..\2010.02.1\qt\mkspecs\features\qt_functions.prf:
..\..\2010.02.1\qt\mkspecs\features\qt_config.prf:
..\..\2010.02.1\qt\mkspecs\features\exclusive_builds.prf:
..\..\2010.02.1\qt\mkspecs\features\default_pre.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\default_pre.prf:
..\..\2010.02.1\qt\mkspecs\features\debug.prf:
..\..\2010.02.1\qt\mkspecs\features\debug_and_release.prf:
..\..\2010.02.1\qt\mkspecs\features\default_post.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\default_post.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\rtti.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\exceptions.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\stl.prf:
..\..\2010.02.1\qt\mkspecs\features\shared.prf:
..\..\2010.02.1\qt\mkspecs\features\warn_on.prf:
..\..\2010.02.1\qt\mkspecs\features\qt.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\thread.prf:
..\..\2010.02.1\qt\mkspecs\features\moc.prf:
..\..\2010.02.1\qt\mkspecs\features\win32\windows.prf:
..\..\2010.02.1\qt\mkspecs\features\resources.prf:
..\..\2010.02.1\qt\mkspecs\features\uic.prf:
..\..\2010.02.1\qt\mkspecs\features\yacc.prf:
..\..\2010.02.1\qt\mkspecs\features\lex.prf:
..\..\2010.02.1\qt\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 -o Makefile liquid.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-sub_Debug: src\$(MAKEFILE)
	cd src\ && $(MAKE) debug
debug: sub-src-sub_Debug

sub-src-sub_Release: src\$(MAKEFILE)
	cd src\ && $(MAKE) release
release: sub-src-sub_Release

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: liquid
# Generated by qmake (2.01a) (Qt 4.6.2) on: ?? 25. ??? 20:11:39 2010
# Project:  src.pro
# Template: app
# Command: c:\qt\2010.02.1\qt\bin\qmake.exe -spec ..\..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 CONFIG+=release -o Makefile src.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = c:\qt\2010.02.1\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: src.pro  ../../../2010.02.1/qt/mkspecs/win32-g++/qmake.conf ../../../2010.02.1/qt/mkspecs/qconfig.pri \
		../../../2010.02.1/qt/mkspecs/features/qt_functions.prf \
		../../../2010.02.1/qt/mkspecs/features/qt_config.prf \
		../../../2010.02.1/qt/mkspecs/features/exclusive_builds.prf \
		../../../2010.02.1/qt/mkspecs/features/default_pre.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/default_pre.prf \
		../../../2010.02.1/qt/mkspecs/features/release.prf \
		../../../2010.02.1/qt/mkspecs/features/debug_and_release.prf \
		../../../2010.02.1/qt/mkspecs/features/default_post.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/default_post.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/rtti.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/exceptions.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/stl.prf \
		../../../2010.02.1/qt/mkspecs/features/shared.prf \
		../../../2010.02.1/qt/mkspecs/features/warn_on.prf \
		../../../2010.02.1/qt/mkspecs/features/qt.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/thread.prf \
		../../../2010.02.1/qt/mkspecs/features/moc.prf \
		../../../2010.02.1/qt/mkspecs/features/win32/windows.prf \
		../../../2010.02.1/qt/mkspecs/features/resources.prf \
		../../../2010.02.1/qt/mkspecs/features/uic.prf \
		../../../2010.02.1/qt/mkspecs/features/yacc.prf \
		../../../2010.02.1/qt/mkspecs/features/lex.prf \
		../../../2010.02.1/qt/mkspecs/features/include_source_dir.prf \
		c:/Qt/2010.02.1/qt/lib/qtmain.prl
	$(QMAKE) -spec ..\..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 CONFIG+=release -o Makefile src.pro
..\..\..\2010.02.1\qt\mkspecs\qconfig.pri:
..\..\..\2010.02.1\qt\mkspecs\features\qt_functions.prf:
..\..\..\2010.02.1\qt\mkspecs\features\qt_config.prf:
..\..\..\2010.02.1\qt\mkspecs\features\exclusive_builds.prf:
..\..\..\2010.02.1\qt\mkspecs\features\default_pre.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\default_pre.prf:
..\..\..\2010.02.1\qt\mkspecs\features\release.prf:
..\..\..\2010.02.1\qt\mkspecs\features\debug_and_release.prf:
..\..\..\2010.02.1\qt\mkspecs\features\default_post.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\default_post.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\rtti.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\exceptions.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\stl.prf:
..\..\..\2010.02.1\qt\mkspecs\features\shared.prf:
..\..\..\2010.02.1\qt\mkspecs\features\warn_on.prf:
..\..\..\2010.02.1\qt\mkspecs\features\qt.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\thread.prf:
..\..\..\2010.02.1\qt\mkspecs\features\moc.prf:
..\..\..\2010.02.1\qt\mkspecs\features\win32\windows.prf:
..\..\..\2010.02.1\qt\mkspecs\features\resources.prf:
..\..\..\2010.02.1\qt\mkspecs\features\uic.prf:
..\..\..\2010.02.1\qt\mkspecs\features\yacc.prf:
..\..\..\2010.02.1\qt\mkspecs\features\lex.prf:
..\..\..\2010.02.1\qt\mkspecs\features\include_source_dir.prf:
c:\Qt\2010.02.1\qt\lib\qtmain.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ..\..\..\2010.02.1\qt\mkspecs\win32-g++ -win32 CONFIG+=release -o Makefile src.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
liquid (0.5-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- maintainer nimnes <kirpiche@cs.karelia.ru>  Sun, 23 May 2010 14:46:09 +0400

=== debian/control ===
Source: liquid
Section: unknown
Priority: extra
Maintainer: maintainer nimnes <kirpiche@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: liquid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libc6 (>= 2.5.0-1), libgcc1(>= 1:4.2.1), libqt4-core, libqt4-gui, libstdc++6 (>= 4.2.1)
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

## liquid 0.5.5-1

=== Makefile ===
#############################################################################
# Makefile for building: liquid
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 7 14:14:16 2010
# Project:  liquid.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile liquid.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/nimnes/deb/liquid-0.5.1/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/nimnes/deb/liquid-0.5.1/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: liquid.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile liquid.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile liquid.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
liquid (0.5.5-1) unstable; urgency=low

  * change section to user/graphics

 -- maemo-sensors <nimnes@gmail.com>  Thu, 29 Jul 2010 09:21:02 +0400

liquid (0.5.4-1) unstable; urgency=low
  * Add html documentation to project (doc/)

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Mon, 26 Jul 2010 21:18:38 +0400

liquid (0.5.3-1) unstable; urgency=low
    * Getting accelerometer data using dbus, instead of reading accelerometer file.

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Mon, 12 Jul 2010 18:13:20 +0400

liquid (0.5.1-1) unstable; urgency=low
    * Adding description of project and developers info into debian config files.

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Wed, 07 Jul 2010 13:50:41 +0400

=== debian/control ===
Source: liquid
Section: user/graphics
Priority: extra
Maintainer: Konstantin Kirpichonock <kirpiche@cs.karelia.ru>, Vladimir Dmitriev <vdmitrie@cs.karelia.ru>, Alexander Volkov <volkov@cs.karelia.ru>
Homepage: http://liquid-graphic.garage.maemo.org/
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: liquid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui
Description: Funny graphic editor.
 Liquid is a funny graphic editor, in which control of brush is implemented 
 by accelerometer or touchscreen. In our graphic editor there are realized 
 basic drawing tools (brush, eraser, color tool) and additional (ice - local 
 blur effect). Switching beetween accelerometer/touchscreen mode is implemented 
 by shaking device on Z axis, also you can clear a screen by shaking on X axis 
 and implement full screen blur by shaking on Y axis. To draw in accelerometer 
 mode you must touch a screen in right bottom corner. And to change brush size 
 you must touch a brush and wait for some time, then popup menu will appear.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := liquid
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile 
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/liquid.sgml > liquid.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liquid.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## liquid 0.5.7-1

=== debian/changelog ===
liquid (0.5.7-1) unstable; urgency=low

  * Add icon for application manager

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Thu, 29 Jul 2010 18:06:23 +0400

liquid (0.5.6-1) unstable; urgency=low

  * Add project homepage to "About program".

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Thu, 29 Jul 2010 15:58:56 +0400

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,62 @@
  and implement full screen blur by shaking on Y axis. To draw in accelerometer 
  mode you must touch a screen in right bottom corner. And to change brush size 
  you must touch a brush and wait for some time, then popup menu will appear.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9oHHQsyIyxgDFkAAAsXSURBVGje7VhpkFTVFf7Ofe91v+7pnu7ZWGRX
+ MYG4IVGMJoKlJWolkagpLVxSGhO3GBWZgWDQUEoqDKKlFUul1BitooxLTCXG
+ Je5BDWuQRZYBZoAZZuue6el+r7vfdu/Jj4eoiDgKmvnBqbpVt+q9e+s73znn
+ nu9e4LAdtsN22A61GTOtj+e32Qf8VwwIwA2fAHlNTleakUrN9waNuM+r83Vh
+ AoA5p7jftTSgqJ/pTK6u1S9PVmBiqgJDh6QhR1di2etr/ZnNt8V2GPU2/IWJ
+ Ty3R/9+YtRkW5F8LNOLWuhnHj9HuGFVFlUekgLo4ENOAkZW4aMNOWtYM3LMv
+ +ENi0VmfDO1yYFqPBrTsjWykwfrCPSY87BzzwMag99k2xStyim0lFbNUOzzF
+ jzWp4phG52qjIb9fsvWDBe8uqADwGJl3Xn5uKqlNqqvCIGNaqndNU+lpPNu8
+ wev54iwlifQJadKOSgPpGOBJop0u8HoL5556Xy5p6ZJLsSgVfD01cHF3Yshp
+ 1c+MH01THB9mdZxowjDG8mZe+sZK/yK5IJbpRxHXnXSkce3Zx+rTEzHUbevh
+ ng2tav32NvVatiDfigrV7C5MymiDBbcxeWgdiNzhXTN9svbQiCpoeYco5wAa
+ AZ6vul5Z7p/bOzf2wYGjaKMyychkUYuSOAoaakFsUZQ7zAi3lxdUFg+0/uCK
+ eNJuBErJE4dqNL4WsHwg5wI7csC2DBQB2hdt4S5IYE+Iskc0NmV7emo10/Rl
+ ft5glPdHWIMNr/EQFbM+Iw/caI066o/+88v6FDNL7vWVeiur+Ia3grXGb0rj
+ +hXF/RX6hGwlbi3+ALOLZ6G+OBmX9g3/6JM52z40EQjuTSE912rbvrk89+LH
+ ze5F07RLzhzMFbUavKVN6lW/qLr2XRO/3UZp/qcZVOrjTE7cVa45abT49YQj
+ 9frBlRQjAjwJlNwYtk73323pCGatuXbe+wCgz7QOrgbMWTacBQlU3mmJQheG
+ wNRPGT5anJi3udN63f0H3i7lcGmiBnEIbOEy3qvs/qRE8Bd92hHt986U356t
+ 3/uDMWKCKYC2IrjNBmVLzADRsEoga6vg2eXBZRuvN585RH0gDGdsdh6RmYUw
+ 56+2xs1e6j/6YZ9sLrgyU3RlJu/K7ld2yvePe6R0FbD1M5Ef9ZDz8xfbZW85
+ UJyTUq3KS/XMLsX3fKh45grFc1YqXrxNqsXbFN+2TO7AefnaQyYljIYi/MYK
+ 4BrbuOR8/ZbGqZHGkXFAMVBisGRQFMwRQQQCnmvhnseX+4/32XguFqHSoCTd
+ OPtM7boJaYItgWYHaC4AHTbQVQIsN+zKpw8HygF4fYathS+6U4tz48v0zy9Q
+ G8G9H4dYv81GsCixHylgh+B/aVU2XhN9ZMZEcSkTI8fgjEe02wZ1lwBXEsV1
+ 5pFx4KwRVDNxeKR+c4Zn6gJyYh3pUQDNDnNrmajdBrIloNcFHAnEdWBoEqiL
+ Aa02U58DWcyx+5kIaLfaSNYJ9M2J94t5utkC3x82luve8F96cIo4zyFCXgHb
+ 8kBTDihKIAjCQlQAmAFTB+rijJoYIaoBxMwBE+UdoNsB8i7gBkAsAgyNA0Pi
+ QMwAFDOvyRA98a5csv6N4o14Ot1HIdsWrrw5gcdHEfT55YozhtGpsRhNq6kU
+ p0QNpNwAnu1wk+vwqih4ZSxGW7fkUWjpghySUOLowdr8hy/Qb0wQs81ELRbQ
+ kgekApwA8Dic+wEQMMAAlASEBkQNwKDQMQYQ18FHxJlGJQlHxIGAgF02sKUX
+ 2NjD8pV16p3VK736yjr/g8K8tCKj3sa3j6/A+isI1X8onzN3qvG700bS946u
+ JkT3MC0BOCocBQfoKXJfweFWV6IY0VFz3FAaCwVORYhyLtBaDIEXJVDywrm/
+ x4mAQ7ACgCaAiACGJJiPSQA1MSJXAZ0FoMNmtdOG02ah3GVzsa0XHZta5evt
+ u4JnE5XBJnt+yos0WNBNU2D9FQTUO5fe91PjyQvGkFGSwNY8OFMGRQWQMgFT
+ AEzgog8ig9IpndIahSCyZcAQICLAU0BVFCjrALkhqwRAkwCLcK4LQNOAuAGc
+ kAaGmkT/7gYeWM2FNTvUukyONxfLvMv1ORNI5KVSed9Hm/TlrojJBXt+SiUb
+ LHjhmQBgcm/VhbNSq++fijG7LcKKTmC3BaSi4RAESA6HoJC1qB6ySAQYAjA0
+ IGmEDpkaoFMIvs8FbB9wJQAGdC38N64B46uYiz7Rg+vYeu4/6p+dO4MXSARb
+ dA0ZTbCtCC5BBUCddBf4B9BCp8TGHVmD2g+z4LVdoM5imJuOBLyQXVTFgLFJ
+ 4MgEIPQQWEkCEY1RoRNyLrPlEbkB4AAwdMA0gOSePDQoLGKdgIgOjEow2z7R
+ XUs58/x7/t1eh/dCJC07vXuqfB+A/zk9x12wvxsZsVZwgA+zQHc5ZFFKQDOA
+ YQlgfDXwnSRQoQGr+phXt4N6XUJvEeixKRiVAv/seDKOTTP6POJ8AHKCMJ0U
+ gEQkVHVqT94nDCARIfrLJpbvrA0avYL/Zzxamff20UfePtJ5X/AfO9Apt61q
+ 4Y0JU0wiAHGDeViSaFw1cFyauYKJmsvAK21AUy9kVx725t1qY0u7XFoqyM1w
+ QU+ONc6a90Nx4ZThiI2OMzOI7ADo9ZhLkige2ZOCgjmmgQoeYU0br+3OBX/H
+ /cn8vuzuC/6Acjpa52f+u16fp6Rx98hBdNIxg4kMHSgzsLSTaH0GWNPB2Y5e
+ 3tbarVa0dsh32ZLroclO3UA5kmTauUm+fX0usvUnJ2s3nH+sGPTdOmCYyVyt
+ g9pccMEDGCABkE7gjAMiYGuQU+2fx26/etHekNVbMdK0k6Km9uOqlDi5Jo20
+ AHyrxB0FizcWS2pd2VWbA49bBam8psvAa6zau1FsVgGuT4MMUz9n2CD9F6eO
+ E2f8aDxh8mDmah1occCeIiJmGIKQ8UD/2qT+dvcT7mVYXFH6qjKGPplvkfoc
+ SOjVMkB14EMHA0JHSWjcJzQuegtS8kAFBQBmQ8EMlBgrSZs6fIQx/eKTafxN
+ J1CkNsro8okVMwQRLA9idbva3vhqcObWm83WxNwS7LviB68qv/LVssEC73mg
+ 0m5qR2RmPolfFU/Q57hzrnxVbiv4Shakkm2+krt8KZsdKVfkFc9b5i8BWqMA
+ MPK+8qGRxv26MfVjj9icHGkzrDRuLV/y6BaZZZaBLWWQCaTMSBk0OypYV5Ry
+ 8Sa5FGcUhgCAUW9jwNhex7/fEx+72HvKY6WUkp6rpGdJ6ReVDDbayl9lKfmn
+ pqDj1CecSQP3xXZG+ar3s4qZpauk9AMpXV8qz2flfWBL/6UuxYs2BHnMLU/4

## liquid 0.5.11-1

=== Makefile ===
#############################################################################
# Makefile for building: liquid
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Aug 27 10:11:56 2010
# Project:  liquid.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile liquid.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/nimnes/liquid-sleep/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/nimnes/liquid-sleep/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: liquid.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile liquid.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile liquid.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ../liquid
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Aug 27 09:55:57 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++ -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = core/painter.cpp \
		core/main.cpp \
		accelerometer/devorientation.cpp \
		accelerometer/accelerometer.cpp \
		mainwindow.cpp \
		error_handler/errorhandler.cpp \
		filters/filters.cpp \
		mce.cpp moc_painter.cpp \
		moc_devorientation.cpp \
		moc_accelerometer.cpp \
		moc_mainwindow.cpp \
		moc_errorhandler.cpp \
		moc_mce.cpp \
		qrc_icons.cpp
OBJECTS       = painter.o \
		main.o \
		devorientation.o \
		accelerometer.o \
		mainwindow.o \
		errorhandler.o \
		filters.o \
		mce.o \
		moc_painter.o \
		moc_devorientation.o \
		moc_accelerometer.o \
		moc_mainwindow.o \
		moc_errorhandler.o \
		moc_mce.o \
		qrc_icons.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = liquid
DESTDIR       = ../
TARGET        = ../liquid

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -spec /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++ -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++ -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/liquid1.0.0 || $(MKDIR) .tmp/liquid1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/liquid1.0.0/ && $(COPY_FILE) --parents core/painter.h accelerometer/devorientation.h accelerometer/accelerometer.h mainwindow.h error_handler/errorhandler.h error_handler/errors.h filters/filters.h mce.h .tmp/liquid1.0.0/ && $(COPY_FILE) --parents data/icons.qrc .tmp/liquid1.0.0/ && $(COPY_FILE) --parents core/painter.cpp core/main.cpp accelerometer/devorientation.cpp accelerometer/accelerometer.cpp mainwindow.cpp error_handler/errorhandler.cpp filters/filters.cpp mce.cpp .tmp/liquid1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/liquid1.0.0/ && (cd `dirname .tmp/liquid1.0.0` && $(TAR) liquid1.0.0.tar liquid1.0.0 && $(COMPRESS) liquid1.0.0.tar) && $(MOVE) `dirname .tmp/liquid1.0.0`/liquid1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/liquid1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_painter.cpp moc_devorientation.cpp moc_accelerometer.cpp moc_mainwindow.cpp moc_errorhandler.cpp moc_mce.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_painter.cpp moc_devorientation.cpp moc_accelerometer.cpp moc_mainwindow.cpp moc_errorhandler.cpp moc_mce.cpp
moc_painter.cpp: accelerometer/accelerometer.h \
		accelerometer/devorientation.h \
		error_handler/errorhandler.h \
		filters/filters.h \
		mce.h \
		core/painter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) core/painter.h -o moc_painter.cpp

moc_devorientation.cpp: error_handler/errorhandler.h \
		accelerometer/devorientation.h
	/usr/bin/moc $(DEFINES) $(INCPATH) accelerometer/devorientation.h -o moc_devorientation.cpp

moc_accelerometer.cpp: accelerometer/devorientation.h \
		error_handler/errorhandler.h \
		accelerometer/accelerometer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) accelerometer/accelerometer.h -o moc_accelerometer.cpp

moc_mainwindow.cpp: core/painter.h \
		accelerometer/accelerometer.h \
		accelerometer/devorientation.h \
		error_handler/errorhandler.h \
		filters/filters.h \
		mce.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_errorhandler.cpp: error_handler/errorhandler.h
	/usr/bin/moc $(DEFINES) $(INCPATH) error_handler/errorhandler.h -o moc_errorhandler.cpp

moc_mce.cpp: mce.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mce.h -o moc_mce.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all: qrc_icons.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_icons.cpp
qrc_icons.cpp: data/icons.qrc \
		data/fullscreen.png \
		data/brush.png \
		data/liquid.png \
		data/palette.png \
		data/ice.png \
		data/drop.png
	/usr/bin/rcc -name icons data/icons.qrc -o qrc_icons.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

=== debian/changelog ===
liquid (0.5.11-1) unstable; urgency=low

  * some optimisations to solve problem with CPU Usage

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Wed, 25 Aug 2010 19:03:55 +0400

liquid (0.5.10-1) unstable; urgency=low

  * Add bugtracker email to control file, fix typo in "About program"

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Mon,  2 Aug 2010 23:41:12 +0400

liquid (0.5.9-1) unstable; urgency=low

  * fix "About program" (not all developers are visible)

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Fri, 30 Jul 2010 06:05:27 +0400

liquid (0.5.8-1) unstable; urgency=low

  * fix icon for application manager

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Thu, 29 Jul 2010 18:49:37 +0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  and implement full screen blur by shaking on Y axis. To draw in accelerometer 
  mode you must touch a screen in right bottom corner. And to change brush size 
  you must touch a brush and wait for some time, then popup menu will appear.
+XSBC-Bugtracker: mailto:maemo-sensors@cs.karelia.ru
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
@@ -77,3 +78,11 @@
  MPK+8qGRxv26MfVjj9icHGkzrDRuLV/y6BaZZZaBLWWQCaTMSBk0OypYV5Ry
  8Sa5FGcUhgCAUW9jwNhex7/fEx+72HvKY6WUkp6rpGdJ6ReVDDbayl9lKfmn
  pqDj1CecSQP3xXZG+ar3s4qZpauk9AMpXV8qz2flfWBL/6UuxYs2BHnMLU/4
+ Min9zT3u9gVbXtvBMjw3SAkAgsCaYj4qBmkI9tMxUTH9dGMhMJ/6e6yKbyyN
+ BHe82aSyuxW4TBwoQkAMBUDGQGpInAKAveHVdDxuvuVb/d3/a3fgo46qJWV2
+ y0619eUdoN0euMAEj6BUOFgASEdDuRGr0kf0+2nnm8ogMynK+T715pKVPMkQ
+ JI9OgWpNoMIAlQOo5gJoex+wsROy3Ct7BpwDxV4OIqZ6ecUGeYEW0UZPHElq
+ eBKoMAh9DrA9B7T0UGTFJvUmys72Ly0lvk77qGvH5tgJvyguhtBuqKnBMXU1
+ AhGDqOSAbE/IkqM+KOTc2w14y8oLq9SAcWDv80u9Bc2gNKSYqHw1hX2MY4UK
+ Yeo5zaR1rORbSsq1XmPSGVAR+OxTTF7ToyKlRbQ0CYoqPyhKl3NKsR0sSvH+
+ 7gIDpjN/kSz5MrJlQDp42A7bN2z/A48T2KEPcmTiAAAAAElFTkSuQmCC
